## software-properties 0.96.20.2

=== debian/changelog ===
software-properties (0.96.20.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete python2 dependencies from the autopkgtest. Closes:
    #943270
  * Add missing build-depends on dh-python.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2019 09:35:24 +0000

software-properties (0.96.20.2-2) unstable; urgency=medium

  * softwareproperties/AptAuth.py: Use apt-key (Closes: #867681)
  * debian/gbp.conf: Point to debian/buster

 -- Julian Andres Klode <jak@debian.org>  Sat, 30 Mar 2019 20:45:34 +0100

software-properties (0.96.20.2-1) unstable; urgency=medium

  * Imported Upstream version 0.96.20.2

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 12:13:31 +0200

software-properties (0.96.20.2) xenial; urgency=medium

  * SoftwarePropertiesGtk.py: only add mirror choices if there are mirrors
    available from which to choose. (LP: #1101881)
  * DialogMirror.py: guard against a traceback when get cursor returns None.
    (LP: #1101881)

 -- Brian Murray <brian@ubuntu.com>  Tue, 21 Jun 2016 12:22:08 -0700

software-properties (0.96.20.1) xenial; urgency=medium

  * cloudarchive: Enable support for the Newton Ubuntu Cloud Archive on
    16.04 (LP: #1591382).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Jun 2016 17:32:35 -0400

software-properties (0.96.20-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Switch to 3.0 (quilt), store upstream code changes in patches
  * Imported Upstream version 0.96.18,0.96.19,0.96.20
  * Rebase the patches

  [ Matthias Klumpp ]
  * trivial: Typo
  * Merge error-condition and PackageKit patch

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Mar 2016 17:36:48 +0100

software-properties (0.96.9debian1+nmu1) unstable; urgency=medium

  * Non-maintainer upload, with permission of juliank
  * Implement support for PackageKit (Closes: #730807)
  * Fix a few small quirks in debian/copyright
  * Wrap-and-sort debian/control
  * software-properties-drivers.desktop: Fix typo
    (NotShownIn -> NotShowIn)
  * Build with --parallel (Closes: #726723)
  * Autotests: Depend on xauth (should fix CI failure)
  * Add Vcs-* entries for the new Git repository
  * Stop building the Python2 module

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Mar 2016 22:18:24 +0100

software-properties (0.96.9debian1) unstable; urgency=medium

  * Merge with Ubuntu, remaining changes:
    - Drop driver handling
    - Drop Ubuntu release upgrade thing
    - Do not use dh-translations
    - Use copyright-format 1.0 for debian/copyright

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Sep 2015 16:02:03 +0200
