=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 9),
               intltool,
               dh-python,
               libxml-parser-perl,
               python3-all,
               python3-distutils-extra,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/software-properties.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/software-properties.git

Package: python3-software-properties
Section: python
Architecture: all
Depends: iso-codes,
         lsb-release,
         python3,
         python3-apt (>= 0.8.8.2),
         python3-pycurl,
         ${misc:Depends},
         ${python3:Depends}
Recommends: unattended-upgrades
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the Python3 module.

Package: software-properties-common
Architecture: all
Depends: ca-certificates,
         gir1.2-glib-2.0,
         gir1.2-packagekitglib-1.0 (>= 1.1.0-2),
         python-apt-common (>= 0.9),
         python3,
         python3-dbus,
         python3-gi,
         python3-software-properties (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: packagekit
Breaks: python-software-properties (<< 0.85),
        python3-software-properties (<< 0.85)
Replaces: python-software-properties (<< 0.85),
          python3-software-properties (<< 0.85)
Description: manage the repositories that you install software from (common)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the common files for software-properties like the
 D-Bus backend.

Package: software-properties-gtk
Architecture: all
Depends: gir1.2-gtk-3.0,
         python3,
         python3-gi,
         python3-software-properties (= ${binary:Version}),
         software-properties-common,
         ${misc:Depends},
         ${python3:Depends}
Suggests: gnome-software
Description: manage the repositories that you install software from (gtk)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Section: kde
Depends: python3,
         python3-pyqt5,
         python3-software-properties (= ${binary:Version}),
         software-properties-common,
         ${misc:Depends},
         ${python3:Depends}
Suggests: plasma-discover
Description: manage the repositories that you install software from (qt)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt based graphical interface.
