## software-properties 0.96.20.5+8.0trisquel1

=== debian/changelog ===
software-properties (0.96.20.5+8.0trisquel1) flidas; urgency=medium

  * Adapted for Trisquel codenames

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 04 Apr 2017 19:07:22 +0000

software-properties (0.96.20.5) xenial; urgency=medium

  * cloudarchive: Enable support for the Ocata Ubuntu Cloud Archive on
    16.04 (LP: #1645827).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Nov 2016 13:49:16 -0500

software-properties (0.96.20.4) xenial; urgency=medium

  * Do not assume that a distribution adding the PPA of another distribution
    will want the latest series all the time. Instead check if the requested
    codename (that is the codename of the installed distribution) is a valid
    series in launchpad for the distribution the PPA belongs to. This
    essentially enables derivate distributions to carry a different name but
    use the same series name. As long as launchpad knows about the series we
    should be fine even if the constraints are a bit lax.

 -- Harald Sitter <sitter@kde.org>  Fri, 12 Aug 2016 16:12:07 +0200

software-properties (0.96.20.3) xenial; urgency=medium

  * softwareproperties/ppa.py:
    - fix exception output when `add-apt-repository` is called with
      an invalid ppa (LP: #1594776)
  * tests/test_shortcuts.py:
    - add network check for tests that require talking to launchpad
      or the cloud archives

 -- Brian Murray <brian@ubuntu.com>  Fri, 22 Jul 2016 15:27:26 -0700
