## software-properties 0.96.20.7+8.0trisquel1

=== debian/changelog ===
software-properties (0.96.20.7+8.0trisquel1) flidas; urgency=medium

  * Adapted for Trisquel codenames

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 04 Jun 2017 01:54:47 +0000

software-properties (0.96.20.7) xenial; urgency=medium

  * software-properties-gtk:
    - fix the backend code to set the gnome debconf frontend, without which
      libgtk2-perl goes unused.
    - depend on libgtk2-perl to ensure it's available, since it was not seeded
      on the desktop at release time.  This is only a Recommends: in zesty,
      but we need to ensure this isn't ignored on upgrade.
    LP: #1679784.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 16:21:42 -0700

software-properties (0.96.20.6) xenial; urgency=medium

  * Add knowledge of OpenStack releases Pike and Queens. (LP: #1670385)

  [ Scott Moser & Dimitri John Ledkov ]
  * When failing to retrieve a GPG key, raise an exception such that
    e.g. add-apt-repository can fail when it did not manage to retrieve a
    GPG key for the shortcut repository. LP: #1532855

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 16:56:40 -0500
