=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
  python3-aptdaemon.gtk3widgets,
  software-properties-common,
  python3-gi,
+ libgtk2-perl,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
