## software-properties 0.96.20.9

=== debian/changelog ===
software-properties (0.96.20.9) xenial; urgency=medium

  * cloudarchive: Update outdated WEB_LINK that is presented when
    cloud archive is enabled (LP: #1836258).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 10:15:23 -0400

software-properties (0.96.20.8) xenial; urgency=medium

  * SoftwarePropertiesGtk.py: when checking a package's depends for DKMS also
    pass on an AttributeError (LP: #1807373)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Dec 2018 11:21:26 -0800
