## software-properties 0.96.20.10

=== debian/changelog ===
software-properties (0.96.20.10) xenial-security; urgency=medium

  * SECURITY UPDATE: malicious repo could send ANSI sequences to terminal
    (LP: #1890286)
    - add-apt-repository: strip ANSI sequences from the description.
    - CVE-2020-15709

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Aug 2020 10:08:35 -0400
