=== debian/control ===
--- 
+++ 
@@ -61,6 +61,7 @@
  gir1.2-gtk-3.0,
  python3-aptdaemon.gtk3widgets,
  software-properties-common,
+ ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
  libgtk2-perl,
 Description: manage the repositories that you install software from (gtk)
