## software-properties 0.96.20.11

=== debian/changelog ===
software-properties (0.96.20.11) xenial; urgency=medium

  * Backport of the Ubuntu Pro tab (lp: #2029473)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 30 Aug 2023 11:29:36 +0200
