=== debian/control ===
--- 
+++ 
@@ -31,7 +31,9 @@
 Section: python
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-apt (>=
- 0.6.20ubuntu16), python3-pycurl, lsb-release, iso-codes
+ 0.6.20ubuntu16), python3-pycurl, lsb-release, iso-codes, python3-distro-info
+ (>= 0.14ubuntu0.3), ubuntu-advantage-tools (>=27.11~),
+ ubuntu-advantage-desktop-daemon
 Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
