## software-properties 0.96.20.13

=== debian/changelog ===
software-properties (0.96.20.13) xenial; urgency=medium

  * Fix autopkgtest: Make sure directory exists before trying to create file
    in it. (lp: #2058035)
  * d/control: Add python-pathlib.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 12 Mar 2024 10:06:55 +0100

software-properties (0.96.20.12) xenial; urgency=medium

  * Fix invalid syntax for old Python and unused import (lp: #2029473).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 17 Nov 2023 12:16:01 +0100
