=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
- 0.6.20ubuntu16), python-pycurl, lsb-release, iso-codes
+ 0.6.20ubuntu16), python-pathlib, python-pycurl, lsb-release, iso-codes
 Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
