=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python, python-apt (>=
- 0.6.20ubuntu16), python-pathlib, python-pycurl, lsb-release, iso-codes
+ 0.6.20ubuntu16), python-pycurl, lsb-release, iso-codes, gnupg, dirmngr
 Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
@@ -31,9 +31,7 @@
 Section: python
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-apt (>=
- 0.6.20ubuntu16), python3-pycurl, lsb-release, iso-codes, python3-distro-info
- (>= 0.14ubuntu0.3), ubuntu-advantage-tools (>=27.11~),
- ubuntu-advantage-desktop-daemon
+ 0.6.20ubuntu16), lsb-release, iso-codes, gnupg, dirmngr
 Recommends: unattended-upgrades
 Description: manage the repositories that you install software from
  This software provides an abstraction of the used apt repositories.
@@ -65,7 +63,6 @@
  software-properties-common,
  ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
- libgtk2-perl,
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
