## software-properties 0.96.24.7.2

=== debian/changelog ===
software-properties (0.96.24.7.2) yakkety-security; urgency=medium

  * software-properties-gtk:
    - fix the backend code to set the gnome debconf frontend, without which
      libgtk2-perl goes unused.
    - depend on libgtk2-perl to ensure it's available, since it was not seeded
      on the desktop at release time.  This is only a Recommends: in zesty,
      but we need to ensure this isn't ignored on upgrade.
    LP: #1679784.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Apr 2017 16:01:47 -0700

software-properties (0.96.24.7.1) yakkety-proposed; urgency=medium

  * Add knowledge of OpenStack releases Ocata, Pike and Queens. (LP: #1670385)

  [ Scott Moser & Dimitri John Ledkov ]
  * When failing to retrieve a GPG key, raise an exception such that
    e.g. add-apt-repository can fail when it did not manage to retrieve a
    GPG key for the shortcut repository. LP: #1532855

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 17:15:20 -0500
