## software-properties 0.96.24.13

=== debian/changelog ===
software-properties (0.96.24.13) zesty; urgency=medium

  * software-properties-gtk: also fix the backend code to set the gnome
    debconf frontend, without which libgtk2-perl goes unused.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2017 14:25:17 -0700

software-properties (0.96.24.12) zesty; urgency=medium

  * software-properties-gtk: recommend libgtk2-perl, to ensure we have a
    working debconf frontend when trying to install additional drivers.
    LP: #1679784.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2017 14:08:40 -0700

software-properties (0.96.24.11) zesty; urgency=medium

  [Scott Moser]
  * debian/tests/run-tests: use gpg rather than gpg1, and show errors
    (LP: #1670399)
  * debian/tests/control: add gnupg to list of dependencies.

  [Iain Lane]
  * softwareproperties/shortcuts.py: Make add_key() return True. Since r988,
    the return value of add_key() is now used to raise an exception.
    ShortcutHandler.add_key() always succeeds, so should return True. This
    (LP: #1670399)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 12:22:03 -0500

software-properties (0.96.24.10) zesty; urgency=medium

  * Add knowledge of OpenStack releases Pike and Queens. (LP: #1670385)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 10:08:22 -0500

software-properties (0.96.24.9) zesty; urgency=medium

  [ Scott Moser & Dimitri John Ledkov ]
  * When failing to retrieve a GPG key, raise an exception such that
    e.g. add-apt-repository can fail when it did not manage to retrieve a
    GPG key for the shortcut repository. LP: #1532855

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Mar 2017 17:38:45 +0000

software-properties (0.96.24.8) zesty; urgency=medium

  * cloudarchive: Enable support for the Ocata Ubuntu Cloud Archive on
    16.04 (LP: #1645827).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Nov 2016 13:29:35 -0500
