=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
  software-properties-common,
  ubuntu-drivers-common (>= 1:0.2.75),
  python3-gi,
- libgtk2-perl,
+Recommends: libgtk2-perl
 Description: manage the repositories that you install software from (gtk)
  This software provides an abstraction of the used apt repositories.
  It allows you to easily manage your distribution and independent software
