=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, dbus-x11, python-dbus, python-pycurl, python3-pycurl, python-mock, python3-mock, python-distutils-extra, python-setuptools, python3-distutils-extra, python3-setuptools, python-gi, python3-gi, pyflakes, pyflakes3, gnupg

Tests: add-apt-repository
Depends: software-properties-common, gnupg
Restrictions: needs-root, breaks-testbed, allow-stderr
