## software-properties 0.96.24.17

=== debian/changelog ===
software-properties (0.96.24.17) artful; urgency=medium

  * tests/test_dbus.py: Don't call GTK from multiple processes. We started
    seeing software-properties tests failing with fatal X errors after GTK
    3.22.24 was uploaded. I think what happened was:
      - the testsuite imports GTK (via GI)
      - this import itself initialises GTK, retrieving the value of a load of
        X atoms
      - it forks to start software-properties-dbus in a separate process
      - this process then accesses another X atom after we ask it to do stuff
      - X doesn't like that and kills us
    The testsuite is now rewritten to not fork. We start a separate *thread*
    to run the D-Bus service in. A benefit of this is that we're more
    asynchronous than we were before, so some of the tests are slightly
    refactored to not run their own main loop but instead check that the
    signal emission they're interested in has happened. (LP: #1721828)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 17 Oct 2017 14:05:25 +0100

software-properties (0.96.24.16) artful; urgency=medium

  * add-apt-repository: Don't raise a Traceback when Ctrl-c is used to cancel
    an operation. Thanks to Launchpad user Yeison Valero fo the initial patch.
    (LP: #1704508)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Sep 2017 15:36:51 -0700

software-properties (0.96.24.15) artful; urgency=medium

  [Adam Collard]
  * debian/manpages/add-apt-repository.1: Documented --update option
    (LP: #1559482)

 -- Brian Murray <brian@ubuntu.com>  Wed, 16 Aug 2017 09:25:36 -0700

software-properties (0.96.24.14) artful; urgency=medium

  * softwareproperties/MirrorTest.py: fix some imports so that the script can
    be used independent of software-properties-gtk.

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Aug 2017 13:22:11 -0700
