## software-properties 0.96.24.32.1

=== debian/changelog ===
software-properties (0.96.24.32.1) bionic; urgency=medium

  * debian/control.in:
    - Build-Depends on dh-migrations to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Apr 2018 16:50:03 +0200

software-properties (0.96.24.32) bionic; urgency=medium

  * data/com.ubuntu.SoftwareProperties.gschema.xml: Add gsettings schema
    to store the goa account id used to login in Livepatch.
  * debian/rules: Use dh_migrations.
  * debian/software-properties-gtk.install: install the gsetting schema.
  * debian/software-properties-gtk.migrations: Use dh_migrations.
  * softwareproperties/GoaAuth.py: Use gsettings instead of libsecrets
    to store the goa account id used to login in Livepatch (LP: #1764474).
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Update the UI
    if the account id changes settings-side.
  * tools/migration-scripts/01_migrate_from_keyring: Migrate the account id
    from the keyring to gsettings.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 17 Apr 2018 13:25:44 +0200

software-properties (0.96.24.31) bionic; urgency=medium

  * Build-Depend on dbus-11 and gir1.2-snapd-1 for build tests
  * Don't ignore failing tests

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 09:17:39 -0400

software-properties (0.96.24.30) bionic; urgency=medium

  * Don't use python2 in autopkgtests (LP: #1763694)
  * Update translation template

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 08:57:46 -0400

software-properties (0.96.24.29) bionic; urgency=medium

  * Drop obsolete software-properties-gnome.desktop to eliminate
    duplication in the GNOME Software app
  * Drop unused Python 2 python-software-properties
  * Build with pybuild to simplify build
  * Add several Build-Depends now that build tests are being run
  * Ignore build test failures temporarily because of difficuly
    getting the dbus tests to work. See bug 1763435.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Apr 2018 11:57:35 -0400

software-properties (0.96.24.28) bionic; urgency=medium

  [ Martin Wimpress ]
  * Allow mate-session-manager to fulfill the gnome-session-bin Recommends
    (LP: #1762807)

  [ Jeremy Bicha ]
  * Add Appstream metadata with compulsory_for_desktop fields to prevent
    the accidental uninstallation of ubuntu-desktop in GNOME Software.
    ubuntu-desktop depends on software-properties-gtk.
  * Build-Depend on dh-python

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 17:12:59 -0400

software-properties (0.96.24.27) bionic; urgency=medium

  * debian/control: Move gir1.2-goa-1.0, gir1.2-secret-1,
    and gir1.2-snapd-1 dependencies from software-properties-common
    to software-properties-gtk (LP: #1762082).
  * SoftwareProperties.py: Wrap importing of gir1.2-snapd-1 in a
    try-except block in order to avoid failures in add-apt-repository.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 09 Apr 2018 09:19:23 +0200

software-properties (0.96.24.26) bionic; urgency=medium

  * debian/control:
    - Mark gnome-keyring as recommended, which provides 
      org.freedesktop.secrets.service.
  * GoaAuty.py:
    - Show warning and avoid crashing if gnome-keyring is not installed. 
      (LP: #1760096)
  * SoftwareProperties.py:
    - install canonical-livepatch from stable channel (LP: #1760117)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 03 Apr 2018 16:04:32 +0200

software-properties (0.96.24.25) bionic; urgency=medium

  * ppa.py:
   - rework key retrieval, instead of using hkp & gnupg/dirmngr, use https
     & python's built in urllib.
   - thus, add-apt-key for PPAs observes https_proxy for key retrieval
   - simplify gnupg operations, depend on gpg package only, and use
     import/public key operations only.
   - fix unicode process output bugs, when operating in a non-UTF-8
     locale, thus enabling to import keys for my ppas in C locale.
   - avoid creating trustdb, or requiring any gpg-agent systemd socket to
     be activated
   - update tests to execute key addition fully with less things stubbed
     out with mock
   - stop using apt-key for installing keys
   - dirmngr is a heavy dependency and not used, and it is hard to pass
     proxy information to it when invoking gpg from a non-standard homedir
   - deprecate --keyserver option, making HTTPS access to
     keyserver.ubuntu.com required
   - LP: #1755192, LP: #1713962, LP: #1699086, LP: #1510220, LP: #1433761,
     LP: #1395321, LP: #1312267

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Apr 2018 10:19:34 +0100

software-properties (0.96.24.24) bionic; urgency=medium

  * DialogAuth.py: Implement a dialog to choose between an ubuntu sso account or
    login into a new one. This interacts with gnome-online-accounts (LP: 1756364)
  * DialogLivepatchError: Implement a dialog to show livepatch related errors.
  * GoaAuth.py: Implement an utility function to store manage livepatch credentials.
  * SoftwareProperties.py: Implement functions used by the dbus API to
    enable/disable livepatch.
  * SoftwarePropertiesDbus.py: Add SetLivepatchEnabled to the dbus API.
  * SoftwarePropertiesGtk.py: Add a livepatch switch.
  * debian/control: Depends on gir1.2-goa-1.0, gir1.2-snapd-1 and gir1.2-secret-1.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 14 Mar 2018 20:24:31 +0100

software-properties (0.96.24.23) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: After installing proprietary drivers provide the
    capability to restart on Lubuntu and Xubuntu. Add recommends on the
    packages which provide the restart tools. (LP: #1693038)

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Mar 2018 08:06:33 -0800

software-properties (0.96.24.22) bionic; urgency=medium

  * software-properties-gtk: Depend on libgtk3-perl for debconf's GNOME
    backend. Drop previous Recommends on libgtk2-perl. (LP: #1679784)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Mar 2018 21:34:59 -0500

software-properties (0.96.24.21) bionic; urgency=medium


