## software-properties 0.96.24.32.7+p20201123+git20201207.2000

=== debian/changelog ===
software-properties (0.96.24.32.7+p20201123+git20201207.2000) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 20:00:56 +0000

software-properties (0.96.24.32.7-1) experimental; urgency=medium

  * Merge with Ubuntu 18.04 LTS; remaining changes:
    - Do not use dh-translations (and now dh-migrations as well)
    - Occasional indentation changes in debian/
    - Drop aptdaemon, qapt, and ubuntu-drivers
    - Updated debian/copyright
    - Various patches
  * Amongst other things, this fixes apt-key management (Closes: #867681)
  * {Build-},Depend on gpg, gpg-agent

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Jan 2019 22:52:33 +0100

software-properties (0.96.24.32.7) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: when checking a package's depends for DKMS also
    pass on an AttributeError (LP: #1807373)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Dec 2018 11:13:07 -0800

software-properties (0.96.24.32.6) bionic; urgency=medium

  * cloudarchive: Enable support for the Stein Ubuntu Cloud Archive on
    18.04 (LP: #1805436).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 09:02:22 -0500

software-properties (0.96.24.32.5) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: Hide livepatch widgets in flavors without
    an online account panel in gnome-control-center (LP: #1770686)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 17 Aug 2018 09:56:07 +0000

software-properties (0.96.24.32.4) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Allow the user to disable livepatch if the gnome-online-account expired.
    (lp: #1768797)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2018 15:38:17 +0200

software-properties (0.96.24.32.3) bionic; urgency=medium

  * cloudarchive: Enable support for the Rocky Ubuntu Cloud Archive on
    18.04 (LP: #1769920).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 May 2018 10:58:48 -0400

software-properties (0.96.24.32.2) bionic; urgency=medium

  * SoftwarePropertiesGtk.py: uninstall the actual nvidia packages,
    not only the meta-package (LP: #1753333).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 02 May 2018 15:58:01 +0200
