=== debian/control ===
Source: software-properties
Section: admin
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: dbus-x11 <!nocheck>,
               debhelper (>= 9),
               dh-python,
               gir1.2-snapd-1 <!nocheck>,
               gpg,
               gpg-agent,
               intltool,
               libxml-parser-perl,
               lsb-release <!nocheck>,
               pyflakes3 <!nocheck>,
               python3-all,
               python3-apt <!nocheck>,
               python3-dbus <!nocheck>,
               python3-distutils-extra,
               python3-gi <!nocheck>,
               python3-mock <!nocheck>,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Git: https://github.com/dci-extras-packaging/software-properties
Vcs-Browser: https://github.com/dci-extras-packaging/software-properties

Package: python3-software-properties
Section: python
Architecture: all
Multi-Arch: foreign
Depends: gpg,
         gpg-agent,
         iso-codes,
         lsb-release,
         python3,
         python3-apt (>= 0.6.20ubuntu16),
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Recommends: unattended-upgrades
Description: manage the repositories that you install software from
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the Python3 module.

Package: software-properties-common
Architecture: all
Multi-Arch: foreign
Depends: ca-certificates,
         gir1.2-glib-2.0,
         gir1.2-packagekitglib-1.0 (>= 1.1.0-2),
         python-apt-common (>= 0.9),
         python3,
         python3-dbus,
         python3-gi,
         python3-software-properties (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: packagekit
Breaks: python-software-properties (<< 0.85),
        python3-software-properties (<< 0.85)
Replaces: python-software-properties (<< 0.85),
          python3-software-properties (<< 0.85)
Description: manage the repositories that you install software from (common)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains the common files for software-properties like the
 D-Bus backend.

Package: software-properties-gtk
Architecture: all
Multi-Arch: foreign
Depends: gir1.2-goa-1.0 (>= 3.27.92-1ubuntu1),
         gir1.2-gtk-3.0,
         gir1.2-secret-1,
         gir1.2-snapd-1,
         libgtk3-perl,
         python3,
         python3-distro-info,
         python3-gi,
         python3-gi,
         python3-software-properties (= ${binary:Version}),
         software-properties-common,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gnome-keyring,
            gnome-session-bin | xfce4-session | lubuntu-default-settings | lxqt-session | mate-session-manager
Suggests: gnome-software
Description: manage the repositories that you install software from (gtk)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a GTK+ based graphical interface.

Package: software-properties-kde
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: python3,
         python3-pyqt5,
         python3-software-properties (= ${binary:Version}),
         software-properties-common,
         ${misc:Depends},
         ${python3:Depends}
Suggests: plasma-discover
Description: manage the repositories that you install software from (qt)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt based graphical interface.
