## software-properties 0.96.24.32.12

=== debian/changelog ===
software-properties (0.96.24.32.12) bionic; urgency=medium

  * cloudarchive: Enable support for the Ussuri Ubuntu Cloud Archive on
    18.04 (LP: #1852489).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 02 Dec 2019 09:21:38 -0500

software-properties (0.96.24.32.11) bionic; urgency=medium

  * cloudarchive: Update outdated WEB_LINK that is presented when
    cloud archive is enabled (LP: #1836258).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 10:10:04 -0400

software-properties (0.96.24.32.10) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Livepatch: Handle applying state, it's transient by not dealing with it
    can lead to refresh issues (lp: #1835911)
  * Livepatch: Add a checkbutton to hide/show the indicator in the top bar.
    (lp: #1835910)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2019 15:16:10 +0200

software-properties (0.96.24.32.9) bionic; urgency=medium

  * debian/control:
    - required snapd-glib 1.42 (lp: #1830353)

  [ Iain Lane ]
  * softwareproperties/gtk/LivepatchPage.py:
    - livepatch: Always pass a string to SetLivePatchEnabled (lp: #1830348)

  [ Corey Bryant ]
  * cloudarchive: Enable support for the Train Ubuntu Cloud Archive on
    18.04 (LP: #1829017).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 17:03:01 +0200

software-properties (0.96.24.32.8) bionic; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * debian/gbp.conf: Add default configuration
  * Add .keep files to preserve empty directories
  * Backport Livepatch changes from Disco (LP: #1823761):
    - Implement new design for authentication dialog.
    - Add livepatch desktop file and icon.
    - Move Livepatch UI in a diffrent tab.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 08 Apr 2019 16:52:15 +0100
